#include <stdio.h>

int fgetline(FILE *f, char *s, int maxn)
{
    int c, i;

    i = 0;
    while ((c = getc(f)) != EOF && c != '\n') {
	if (i < maxn)
	    s[i++] = c;
    }
    s[i++] = '\0';
    if (c == EOF)
	return EOF;
    else
	return 0;
}

int getline(char *s, int maxn)
{
    int c, i;

    i = 0;
    while ((c = getchar()) != EOF && c != '\n') {
	if (i < maxn)
	    s[i++] = c;
    }
    s[i++] = '\0';
    if (c == EOF)
	return EOF;
    else
	return 0;
}

